#
# Conditional build:
%bcond_with	libzio	# use libzio for I/O (currently doesn't work because of unsupported seeking)
#
Summary:	An enhanced front-end for the ghostscript PostScript(TM) interpreter
Summary(de.UTF-8):	Verbessertes Frontend für Ghostscript
Summary(fr.UTF-8):	Frontal amélioré pour ghostscript
Summary(pl.UTF-8):	Zaawansowana nakładka na ghostscripta (interpreter PostScriptu(TM))
Summary(tr.UTF-8):	Ghostscript için grafik arayüz
Name:		gv
Version:	3.7.4
Release:	2
License:	GPL v3+
Group:		X11/Applications/Graphics
Source0:	http://ftp.gnu.org/gnu/gv/%{name}-%{version}.tar.gz
# Source0-md5:	80035c43285781b68361acda09ad7441
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-wheel.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-am.patch
URL:		http://www.gnu.org/software/gv/ 
BuildRequires:	Xaw3d-devel >= 1.5E
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	bzip2-devel
%{?with_libzio:BuildRequires:	libzio-devel}
BuildRequires:	texinfo
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	zlib-devel
Requires:	ghostscript-x11
Obsoletes:	ghostview
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gv provides a user interface for the ghostscript PostScript(TM)
interpreter. Derived from the ghostview program, gv can display
PostScript and PDF documents using the X Window System.

%description -l de.UTF-8
gv ermöglicht das Einsehen und Navigieren von PostScript- und PDF-
Dokumenten unter X, indem es eine Benutzeroberfläche für den
Ghostscript- Interpreter bereitstellt. gv basiert auf dem älteren
Programm ghostview.

%description -l fr.UTF-8
gv permet de visualiser et de naviguer dans les documents PostScript
et PDF sur un écran X en offrant une interface pour l'interpréteur
ghostscript. gv est basé sur un ancien programme appelé ghostview.

%description -l pl.UTF-8
gv umożliwia oglądanie i manipulację plikami postscriptowymi i
dokumentami w formacie PDF pod X Window. Udostępnia graficzny
interfejs użytkownika do programu ghostscript będącego interpreterem
języka postscript.

%description -l tr.UTF-8
gv, PostScript ve PDF dosyalarını bir X ekranı üzerinde gösterebilen
ve üzerlerinde dolaşmayı sağlayan bir ghostscript arayüzüdür.
Ghostview adıyla bilinen programdan yola çıkılarak hazırlanmıştır.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# libzio uses weak symbols to access libbz2 and libz, so -as-needed
# normally kills them from linking
%{?with_libzio:LDFLAGS="-lbz2 -lz %{rpmldflags}"}
%configure \
	%{!?with_libzio:ac_cv_header_zlib_h=no ac_cv_header_bzlib_h=no ac_cv_header_zio_h=no}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
ln -sf gv $RPM_BUILD_ROOT%{_bindir}/ghostview

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ghostview
%attr(755,root,root) %{_bindir}/gv
%attr(755,root,root) %{_bindir}/gv-update-userconfig
%{_datadir}/gv
%{_desktopdir}/gv.desktop
%{_pixmapsdir}/gv.png
%{_mandir}/man1/gv.1*
%{_mandir}/man1/gv-update-userconfig.1*
%{_infodir}/gv.info*
%changelog
* Sun Apr 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gv.git;a=log;h=master

* Sun Apr 17 2016 Jan Rękorajski <baggins@pld-linux.org> 69c9df0
- release 2 (by relup.sh)

* Sat Mar 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 90b4680
- updated to 3.7.4 (fixes build-time CVE-2012-3386)
- added am patch (fixes build with automake 1.13)

* Wed Dec 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 0d57a38
- updated to 3.7.3

* Thu Jun 16 2011 Kacper Kornet <draenog@pld-linux.org> 6e98996
- x11 driver in now provided by ghostscript-x11

* Sat Apr 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 6824215
- updated to 3.7.2

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 17b37a9
- dropped pre-cvs changelog

* Sun Jun 13 2010 Kacper Kornet <draenog@pld-linux.org> d14679c
- 3.7.1 (fixes unable to print/save pdf files in 3.7.0)

* Thu Jun 10 2010 Kacper Kornet <draenog@pld-linux.org> 09ebf41
- 3.7.0 (fixes CVE-2010-2055 and CVE-2010-2056)

* Sun Feb 14 2010 Kacper Kornet <draenog@pld-linux.org> c196fac
- up to 3.6.8

* Tue Mar 24 2009 Adam Gołębiowski <adamg@pld-linux.org> 0827141
- updated to 3.6.7

* Mon Oct 13 2008 Jakub Bogusz <qboosh@pld-linux.org> f6f6329
- updated to 3.6.6
- removed obsolete buffer,quote patches
- libzio disabled by default (broken, needs seek which is unsupported)

* Mon Oct 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 3f453e3
- obsolete

* Thu Jul 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 9b41b95
- updated to 3.6.5

* Tue Jun 03 2008 Jakub Bogusz <qboosh@pld-linux.org> c308760
- info patch is back (updated)

* Tue Jun 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 7d73d05
- back, updated for 3.6.4

* Sun Jun 01 2008 Adam Gołębiowski <adamg@pld-linux.org> 0f0a17e
- obsolete

* Sun Jun 01 2008 Adam Gołębiowski <adamg@pld-linux.org> 0efe153
- updated to 3.6.4

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 8aa1515
- unify ftp.gnu.org urls

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 70428c0
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> ad18dc8
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

